No video

BS-16. Kth Missing Positive Number | Maths + Binary Search

  Рет қаралды 130,805

take U forward

take U forward

Күн бұрын

Problem Link: bit.ly/3p30UBg
Notes/C++/Java/Python codes:
We have solved the problem, and we have gone from brute force and ended with the most optimal solution. Every approach's code has been written in the video itself. Also, we have covered the algorithm with intuition.
Full Course: bit.ly/tufA2ZYt
You can follow me across social media, all my handles are below:
Linkedin/Instagram/Telegram: linktr.ee/take...
0:00 Introduction of Course

Пікірлер: 303
@sauravchandra10
@sauravchandra10 Жыл бұрын
Is it only me or the brute force was difficult to understand?
@bhalulal5947
@bhalulal5947 Жыл бұрын
Same here bro I was frst shocked 😅
@tarunprajapati7642
@tarunprajapati7642 Жыл бұрын
For me also
@kiranmoura2974
@kiranmoura2974 Жыл бұрын
Yes it is difficult
@elizabethr5161
@elizabethr5161 Жыл бұрын
even I feel difficult.
@dhruv412
@dhruv412 Жыл бұрын
same
@rounaq_khandelwal
@rounaq_khandelwal Жыл бұрын
Correction, @striver, at 2:45 the answer for arr=[5,7,10,12] and k=6 is 8 and not 7. Thanks for these series
@Bharat_Rider
@Bharat_Rider 11 ай бұрын
😂😂 this correction helped me so much🤣
@sidharthjain2129
@sidharthjain2129 10 ай бұрын
TBH it did help understand the brute force. Thanks mate.
@rounaq_khandelwal
@rounaq_khandelwal 10 ай бұрын
@@sidharthjain2129 welcome!
@tomtanner4013
@tomtanner4013 9 күн бұрын
Thanks
@abhishekshinde5375
@abhishekshinde5375 Ай бұрын
brute force assume you have an empty array and we have some k value, say k = 4the missing number, so in this case the missing value would be 4 Case 1:- where the value at a index in the array < k now just consider the empty array again and we added a number smaller than k to it, say 2, so now when we again try to find the 4th missing number we would get it as 5 ( as 1 3 4 5 , as 2 already present in the array, hence the missing value shifts by one position ahead and 5 is the 4th missing value), hence whenever we get a number in the array smaller than k, the kth missing value shifts by position ahead Case2 :- where value at a index in array > k now consider empty array again and we added a number greater than k, assume k = 4 and we added 7 to it, here the kth missing element will be 4 itself, as even though seven was added - it indicated that the array might or might not contain the first 6 numbers and as the k = 4 value is lesser than 7, so this kth value would also come under missing value, and as 7 > k, so no effect on k occur. So k is the missing element
@harrisjutt5021
@harrisjutt5021 27 күн бұрын
Thank you very much man 💜💜
@crazymemes4080
@crazymemes4080 15 күн бұрын
thanks bro, i got it :)
@kirannagulakonda3443
@kirannagulakonda3443 4 ай бұрын
Happy to solve without watching solution , took 4hrs to figure out approach and code it . Yeah happy me🙂
@alessandrocamilleri1239
@alessandrocamilleri1239 Жыл бұрын
Thank you for the explanation. Two edge cases that should improve running time: if (k < vec[low]) return k; if (k > vec[high] - n) return k + n;
@Dev-x3b
@Dev-x3b Жыл бұрын
💯
@Anony.musk01
@Anony.musk01 Жыл бұрын
correction: 21:18 time complexity should be O(logN)* . Great explanation though
@aryansinha1818
@aryansinha1818 8 ай бұрын
No doubt you explain nicely, everything gets crystal clear after going through your lecture video, but I wonder how do you come up with this type of solution on your own. It's like scientist making some mind boggling discoveries.
@varunpalsingh3822
@varunpalsingh3822 Жыл бұрын
Optimal one is just out of the box kind of thing ❤
@shreyxnsh.14
@shreyxnsh.14 7 ай бұрын
yeah, you can only solve this question in the interview if you have solved it before
@Ayush37262
@Ayush37262 6 ай бұрын
​@@shreyxnsh.14 Thanks bhai, Solve nhi ho rha tha aur easy tag dekh kar depressed feel ho rha tha...
@saswatrath4646
@saswatrath4646 4 ай бұрын
@@Ayush37262 Many easy problems are actually hard so don't be demotivated if you can't solve an easy rated problem, it's because it's not easy at all.
@sayakghosh5104
@sayakghosh5104 Жыл бұрын
For [4,7,9] and k = 3, answer will be simple that is 3, bcz k < arr[0] for all these cases we can directly return k. And at the end we can use arr[high] like:- " int diff = (arr[high] - high + 1); int miss = k - diff; return arr[high] + miss; "
@takeUforward
@takeUforward Жыл бұрын
Yes you can do this as well
@003_baneshubhamvijay3
@003_baneshubhamvijay3 Жыл бұрын
int diff = arr[high] - (high + 1); int miss = k - diff; return arr[high] + miss; A small correction in parenthesis**
@sukhii0220
@sukhii0220 2 ай бұрын
how does this works ? where we would write this after when high cross low ?
@sukhii0220
@sukhii0220 2 ай бұрын
@@003_baneshubhamvijay3 how does it working ? it gives 6 if we apply in [4, 7,9] and k=3
@kiranpoojary493
@kiranpoojary493 Күн бұрын
I used this logic before watching complete video, its give index error if high goes negative
@karanhaldar755
@karanhaldar755 4 ай бұрын
I have never seen anything fantastic than this , I already enrolled in paid DSA course but trust me guys if I found out this channel and dsa sheet before that i have never taken the paid dsa course this is just awesome
@prathamsharma4802
@prathamsharma4802 10 ай бұрын
you are far better than any of the comedians and so called celebrities . Thanks!
@swayamsharma7614
@swayamsharma7614 Ай бұрын
in what sense you are comparing ?
@hx-ql3de
@hx-ql3de 16 күн бұрын
so you watch striver for entertainment and comedy purpose?
@MusaafirSonu
@MusaafirSonu 17 сағат бұрын
The time complexity of the given code is O(log n), where n is the size of the input array arr. Explanation: The code uses a binary search algorithm, which typically operates in O(log n) time complexity. The loop runs as long as low
@yoMisterWhyte
@yoMisterWhyte Жыл бұрын
The subtlety in the algorithm is not considering (arr[mid] - (mid+1) == k) coz if we hit that we have no way to figure out the answer(take k=1 as example and your arr[mid]-(mid+1) matches with k, that is why there is no condition for equals k. Idea is to move high to the index where the missing numbers are lesser than k, that way we get the low end and all we got to do is add the remaining. would have been good if this point was insisted coz if you forget the algorithm and try to write from scratch thinking oh it's binary search, you're gonna get stuck in an interview.
@harshitpandey8304
@harshitpandey8304 11 ай бұрын
I agree
@saswatrath4646
@saswatrath4646 4 ай бұрын
great observation, it will help me memorize this algorithm better, thanks!
@ShahNawaz-cx3pi
@ShahNawaz-cx3pi 2 ай бұрын
******** ONE OBSERVATION ********* what if the number of missing elements = k , i.e. int missing = arr[mid]-(mid+1); missing == k can we write this: if(missing
@dipanshuraj7868
@dipanshuraj7868 3 ай бұрын
Literally, I spent one day trying to solve the brute force but when I saw the brute force in the video I was shocked how is it possible?😐😐
@saketjaiswal9381
@saketjaiswal9381 Жыл бұрын
21:23 error time complexity will be o(log base 2 n) that is o(log n)
@mittal_aaditya
@mittal_aaditya 5 ай бұрын
For brute force in the array 5,7,10,12 k=6. For 5 -> k=7, 7 -> k=8, 10 exceeds the value hence k becomes 8 and 8 should be returned. Hope this helps!
@bhaskararya9112
@bhaskararya9112 Ай бұрын
Awesome explanation man, after some self dry run of few examples, I completely got the concept. Thanks!
@cinime
@cinime Жыл бұрын
Understood! Super fantastic explanation as always, thank you so so much for your effort!!
@simply_akh1l
@simply_akh1l 13 күн бұрын
nice question, good approach
@purushottam108
@purushottam108 2 ай бұрын
simple problem koo completed or comopleted problem koo simple, bana koi aap sai sikhai, you are master of dsa🤩🤩🤩🤩❤❤❤❤❤❤❤❤
@shamanthhegde2820
@shamanthhegde2820 5 ай бұрын
Thank you so much!! this is one of the trickiest binary search problem which I was able to figure out on my own. class Solution { public int findKthPositive(int[] arr, int k) { if(k < arr[0]) { return k; } int low = 0; int high = arr.length-1; while(low
@sukhii0220
@sukhii0220 2 ай бұрын
this existingdifff is the difference between the range we find out ?
@santhosh7042
@santhosh7042 10 ай бұрын
🤯 didn't thought for the binary search approach
@anmolsaini2783
@anmolsaini2783 22 күн бұрын
This question can also be solved in LogN time complexity by the brute force code logic only code : int low = 0, high = arr.size()-1; int ans = k; while(low = arr[mid]) { ans = ans+mid-low+1; low = mid+1; } else { high = mid-1; } } return ans;
@samreenimam8608
@samreenimam8608 7 ай бұрын
bar bar dekho... hazaar bar dekho or practice kro is the key here
@K_EN_VisheshSaini
@K_EN_VisheshSaini 10 ай бұрын
An easier brute force code:- int missingK(vector < int > vec, int n, int k) { // Write your code here. int i=0,j=1,missing=0; while(missing!=k){ if(vec[i]!=j){ missing++; j++; } else{ i++, j++; } } j--; //We did this because j moved 1 forward because of the if statement. So to get our answer, we need to move j backward by 1. return j; }
@thedon713
@thedon713 10 ай бұрын
we learn here how to implement binary search not only how to solve in this specific problem.
@rishabh_pant
@rishabh_pant 8 ай бұрын
its perfect
@shrinikclub8883
@shrinikclub8883 8 ай бұрын
there is a potential issue in your code. The j-- statement before returning the result might cause incorrect results. If the loop exits because missing equals k, then j should already represent the k-th missing positive number. Decrementing it before returning could lead to incorrect results.
@U2011-n7w
@U2011-n7w 11 ай бұрын
why this question is tagged easy on leetcode
@VivekYadav-uy9ts
@VivekYadav-uy9ts 9 ай бұрын
Bacause of the contraints, there the array size is given between 1 to 1000 only, so you can just simply traverse the whole array and can find k'th missing element!
@AS-gf3ci
@AS-gf3ci Жыл бұрын
Both the solutions are difficult to grasp at first go. It needs another revisit for sure
@shreyxnsh.14
@shreyxnsh.14 7 ай бұрын
faxx, how is your dsa prep now btw?
@immrhrr
@immrhrr Ай бұрын
thankfully I was able to do it by my own. I was able to think this approach myself
@girikgarg8
@girikgarg8 Ай бұрын
Great explanation !
@ipshitatandon5134
@ipshitatandon5134 2 ай бұрын
Crazy derivation sir! thank youu for the series
@dayashankarlakhotia4943
@dayashankarlakhotia4943 Жыл бұрын
Very beautiful explained. With logic
@rohandas6298
@rohandas6298 Жыл бұрын
int missingK(vector < int > vec, int n, int k) { int low=0,high=n-1; while(low
@preritphoenixgupta330
@preritphoenixgupta330 Жыл бұрын
Hi Striver, I'm a final year student and our placement season is coming soon can you give some tips. Also, there are some topics which I need to work upon like Stack n Queues when can we expect those series/ playlist from You. I like your way of teaching and approach, I know you are caught up with a lot of work but if you could bring those series soon or suggest some alternatives that would be great.
@pulkitjain5159
@pulkitjain5159 Жыл бұрын
bhai stack m mujhe bhi dikkat aai thi par bhaiya ka largest histogram wala solution dekhna , dono parts , then leetcode ke question lagana nahi aaye toh uske solution dekhle , fhir aane lagega comfidence m bhi yahi kara hu bhai
@preritphoenixgupta330
@preritphoenixgupta330 Жыл бұрын
@@pulkitjain5159 okay, thanks bhai
@saketsoni2587
@saketsoni2587 Жыл бұрын
stack me sirf monotonic stack wala ek concept hai jo baar baar dikh jata sawalo me, wo largest histogram wale me covered hai
@preritphoenixgupta330
@preritphoenixgupta330 Жыл бұрын
@@saketsoni2587 Ok Thanks
@Akhilkumar0024
@Akhilkumar0024 Ай бұрын
this question scared the living daylights out of me, couldn't solve it even brute force was this really an easy question
@sagarsrivastava1236
@sagarsrivastava1236 5 ай бұрын
Pure Genius Explanation....
@umangkumar2005
@umangkumar2005 6 ай бұрын
int missingK(vector < int > arr, int n, int k) { int low=0; int high=n-1; int mid=low+(high-low)/2; while(low
@adityamaurya6646
@adityamaurya6646 Ай бұрын
This guy's just incredibleee!
@Josuke217
@Josuke217 Ай бұрын
Nice question, learned a new concept.
@dogwoofwoof8154
@dogwoofwoof8154 7 ай бұрын
after a good brainstorming session it's time to see the video :)
@Ayush37262
@Ayush37262 6 ай бұрын
Did you solved the question before watching solution??
@dogwoofwoof8154
@dogwoofwoof8154 6 ай бұрын
@@Ayush37262 yep
@Ayush37262
@Ayush37262 6 ай бұрын
@@dogwoofwoof8154 You are Batman!
@nousad-ali-0
@nousad-ali-0 6 ай бұрын
After Watching 3 time I Finally understand
@dhamotz4737
@dhamotz4737 Ай бұрын
can you explain why are we using missing=arr[I]-[I+1] , for finding the missing numbers ? cause this formulae is setting in the question but as I am customising the values in the question the missing numbers don't come? can u give some test cases in which you are getting answer for this formula only sp that I can approve that this formulae works for every possible cases not only what he has given there
@badrirao6472
@badrirao6472 3 ай бұрын
why cant we use arr[mid] -- (mid + 1 ) formula to calculate the missing number instead of the formula arr[high ] -- (high + 1) ??
@loveglobe
@loveglobe Ай бұрын
jab tak suraj chaand rahega , striver tera naam rahega
@bhanusingh4351
@bhanusingh4351 11 ай бұрын
at 21:17 , time complexity would be O(logn) [ just a human error]
@krishnakarule3708
@krishnakarule3708 5 күн бұрын
Brute force solution: public class Solution { public static int missingK(int[] vec, int n, int k) { // Write your code here. for(int i = 0;i
@user-ti3bd8mp1w
@user-ti3bd8mp1w Жыл бұрын
understood Thank you striver for such an amazing explanation
@gauarv608
@gauarv608 5 күн бұрын
the brute force approach only works in cas1 not case 2
@happyteen7195
@happyteen7195 10 ай бұрын
how beautifully u explained the brute force. top level intuition👑.
@lostcyrus8578
@lostcyrus8578 Жыл бұрын
Bhaiya you are doing a great work ❤
@sujalgupta6100
@sujalgupta6100 3 ай бұрын
there is always some question like this whose logic doesn't make sense.
@seekingsoul871
@seekingsoul871 Ай бұрын
Best explanation
@amitfritz11
@amitfritz11 Жыл бұрын
I just wonder this is only first video bit difficult to understand both brute force and optimal.
@sukhii0220
@sukhii0220 2 ай бұрын
arr[mid] - (mid+1) was the formula found out before to find missing nums , then change to arr[high] -(high+1) how ????
@user-gf1ew5wd1p
@user-gf1ew5wd1p Жыл бұрын
Another related approach class Solution { private: int possible(int low ,int mid,unordered_map& mp,int k){ int count =0; for(int i=low;i
@rethickpavan4264
@rethickpavan4264 2 ай бұрын
Before u see this video think with different examples by how can we eliminate one half (FINISHED) . If you understand the opposite polarity concept (unless u can't without paper pen ) this question is piece of cake ; I took 1 hr to solve :)
@dhamotz4737
@dhamotz4737 Ай бұрын
can someone explain me the missing number formulae in the brute force as its setting correct for the case which striver has taken but once I am changing the values in the array and trying to find the new missing number I am not getting what I should get, did I get the question in a wrong manner , am I missing any key point of the question ?
@PeeyushSharma-pc8fc
@PeeyushSharma-pc8fc Ай бұрын
the optimal solution definitely does not fit in the easy category striver 😂 btw amazing lecture🙏🏻♥
@rushilvyas9869
@rushilvyas9869 3 ай бұрын
Loved the explanation.
@krishnagarg2583
@krishnagarg2583 28 күн бұрын
I dont think so that the brute force explained by him covers all cases, as when the array is sorted and the max element is equal to the number of element it will not be giving correct solution.
@mehrabhossain8225
@mehrabhossain8225 7 ай бұрын
@striver //41. First Missing Positive (Leetcode).why this code does not work.. class Solution { public: int firstMissingPositive(vector& nums) { int k = 1; int low = 0; int high = nums.size() - 1; while (low = k) high = mid - 1; else low = mid + 1; } return k + high; } };
@shubhamsingh4701
@shubhamsingh4701 Жыл бұрын
just one question though, we are finding missing via arr[mid]-mid+1; why are we using using arr[high] ?? like fore expression arr[high]-high+1 ?? arr[high]+more ??
@magdeline1207
@magdeline1207 11 ай бұрын
the purpose of binary search using mid is to let high point to idx in arr where there are fewer number of missing int than k, for eg. arr[high] point to idx where there are 3 missing before that idx, and we just use arr[high]+ (k-missing) to find the answer, since (k-missing) is the number of missing int on the right of arr[high]
@anshulrawat3458
@anshulrawat3458 11 ай бұрын
bhaiya bs ques tha ki : jaise aap figure out krrh ho ki 1,2,3,4 ideally 4,7,9,10 arr m hone chaiye the. so inko substract kre to missing number milenge. iska logic nhi bnra dry run krte wkt. mtlab wo missing number maths se aara h but kaise aaya ye nhi feel ara..
@user-or5oz1pk2x
@user-or5oz1pk2x 3 ай бұрын
Thanks a lot Bhaiya . Crystal Clear
@mustafa-zl9ox
@mustafa-zl9ox Жыл бұрын
class Solution { public: int findKthPositive(vector& arr, int k) { int low = 0 , high = arr.size() -1 ,ans=k+high+1; if(arr[0]>k){ return k; } if(arr[high]-high-1
@VishalGupta-xw2rp
@VishalGupta-xw2rp 10 ай бұрын
13:10 opposite polarity
@ayushmanpaul3931
@ayushmanpaul3931 Жыл бұрын
great explanation for low+k.
@lokeshnegi5051
@lokeshnegi5051 Ай бұрын
awesome explanation
@prakharsahu5778
@prakharsahu5778 Жыл бұрын
when are you planning to complete this series ?
@playwithlinux
@playwithlinux 2 ай бұрын
Nice explanation Sir ❤❤❤
@kuldeeprawat328
@kuldeeprawat328 Ай бұрын
BRUTE FORCE let have array be [2, 3, 4, ,5] and find 5th missing number so the concept is let consider intially that all numbers are missing and if all numbers are missing then our fifth missing number will be x= 5 so now if we iterate over array and we consider 2(0th element of array) so now 2 is not missing anymore so now our 5th missing number will be x= 6 ,again on iterating we get 3 now our 3 is no more missing so now our 5th missing number will be x=7 ........... and in this process if we find any element of array greater then x(where x is 5th missing number) it means that 5th missing number which is x till now is lesser then current element of array hence it is our answer
@user-xe2jt5vl5g
@user-xe2jt5vl5g 9 ай бұрын
i knew there was better algo than quick select thanks
@vharshita-334_
@vharshita-334_ Ай бұрын
where are notes as i m unable to find it in description?
@akworld2739
@akworld2739 10 ай бұрын
your brute force solution is optimal solution for me 🤣🤣
@DeadPoolx1712
@DeadPoolx1712 5 күн бұрын
UNDERSTOOD;
@saswatrath4646
@saswatrath4646 4 ай бұрын
Striver one more correction * Time complexity O(log N ) for binary search 😅 but you said O(N). How comes nonody is mentioning it in comments ? am i wrong or something.
@rhul0017
@rhul0017 10 ай бұрын
intuition behind incrementing k is not clear, are we assuming kth element is k inititally and why incrementing k leads to answer, i understood the code but intuition is not clear
@harshdiwase1941
@harshdiwase1941 4 ай бұрын
I coudln't think this way !! best solution
@dank7044
@dank7044 9 ай бұрын
the brute force solution is beautiful.\
@aditideshmukh4752
@aditideshmukh4752 7 ай бұрын
what if we are considering negative numbers in the array?
@karthikk2316
@karthikk2316 6 ай бұрын
question is clearly stated that only for positive integers
@mr.t3141
@mr.t3141 5 ай бұрын
@@karthikk2316 but in the link of que vec[i] can be negative too(on code ninja)
@mr.t3141
@mr.t3141 5 ай бұрын
yes
@culeforever5408
@culeforever5408 10 ай бұрын
understood 😇
@jaganmohan2198
@jaganmohan2198 4 ай бұрын
nicely explained bro ....thanks
@ritikanand3425
@ritikanand3425 Жыл бұрын
Bhaiya the GfG link to the question in a2z DSA Sheet the question is bit different to what explained in video for example in the test case n = 3 , k=1 {32 , 59 ,77} the first missing number is 33
@AnmolGupta-oj4lm
@AnmolGupta-oj4lm Жыл бұрын
Understood Very Well!
@shivanshumishra0560
@shivanshumishra0560 Жыл бұрын
Bhaiya ek request thi app se🙏 ... A2Z DSA Sheet me GFG ke question ka link hatne ke karan bahut problem ho raha hai , abhi mai apke ke sheet se approx 250 problem GFG plateform pe kar chuka hoon but ab sheet se GFG ke problems ka link hatne ke karan question ko revist karne me bahut problem ho raha hai ... I think aap mere problem ko samajh pa rahe honge ...So please bhaiya 🙏🙏🙏🙏 GFG ke problems ka bhi link add karva digiye 🙏🙏🙏🙏
@ReD4eva94
@ReD4eva94 7 ай бұрын
Brilliant. Thanks!
@ShivrajDeshmukh99
@ShivrajDeshmukh99 11 күн бұрын
Why is the time complexity O(N) ? It should be log base 2N. 😅
@lucario404
@lucario404 Жыл бұрын
@takeUforward maybe you can update the time complexity in description for binary search as O(log2N)
@theindianshady
@theindianshady 5 ай бұрын
13:00 isn't it the violation of the binary search rule . Where high surpasses the low or vice verse
@ayushpratapsingh2540
@ayushpratapsingh2540 5 ай бұрын
That is where we come out of the loop and calculate our answer as k + high + 1
@theindianshady
@theindianshady 5 ай бұрын
@@ayushpratapsingh2540 Thanks buddy. I got this yesterday while doing the question ♥️
@_SahilShah
@_SahilShah Ай бұрын
letsss goooo!! Understood
@thedon713
@thedon713 10 ай бұрын
you are the best brother
@NazeerBashaShaik
@NazeerBashaShaik 4 ай бұрын
Understood, thank you.
@shreyxnsh.14
@shreyxnsh.14 7 ай бұрын
both approaches are very non intuitive ngl
@CodeMode9313
@CodeMode9313 Жыл бұрын
Habibi batai toh mast hai tum ....correction :) @ 21:18 time stamp ie TC be logn
@mikedelta658
@mikedelta658 6 ай бұрын
Fantastic. Thank you.
@Shunya_Advait
@Shunya_Advait Жыл бұрын
Understood Sir.
@saikumargatla4706
@saikumargatla4706 9 ай бұрын
TC of bs solution is logn
@tridibeshmisra9426
@tridibeshmisra9426 6 ай бұрын
good question .. maza aya karke
@aastharathore3734
@aastharathore3734 28 күн бұрын
understood
@user-xp3hf2mb2u
@user-xp3hf2mb2u 6 ай бұрын
at 19:45 sir have taken value of "more" as arr[high]-high-1 but should it be arr[high]-high+1?.....can anyone plz explain??
@678Naresh
@678Naresh 7 ай бұрын
Brute force explanation was hard to understand. This is easier to grasp. def findKthPositive(arr, k): missing = [] i = 1 while len(missing) < k: if i not in arr: missing.append(i) i += 1 return missing[-1]
BS-17. Aggressive Cows | Binary Search Hard
26:44
take U forward
Рет қаралды 146 М.
BS-13. Minimum days to make M bouquets | Binary Search
26:01
take U forward
Рет қаралды 127 М.
Or is Harriet Quinn good? #cosplay#joker #Harriet Quinn
00:20
佐助与鸣人
Рет қаралды 5 МЛН
ISSEI & yellow girl 💛
00:33
ISSEI / いっせい
Рет қаралды 24 МЛН
OMG what happened??😳 filaretiki family✨ #social
01:00
Filaretiki
Рет қаралды 13 МЛН
Gli occhiali da sole non mi hanno coperto! 😎
00:13
Senza Limiti
Рет қаралды 21 МЛН
BS-15. Capacity to Ship Packages within D Days
20:36
take U forward
Рет қаралды 89 М.
BS-12. Koko Eating Bananas
21:04
take U forward
Рет қаралды 153 М.
❌ Don't Run Behind 500 LEETCODE Problems ❌ Focus on QPCD
8:31
How I would learn Leetcode if I could start over
18:03
NeetCodeIO
Рет қаралды 462 М.
Kadane's Algorithm | Maximum Subarray Sum | Finding and Printing
20:09
take U forward
Рет қаралды 394 М.
Intro to Competitive Programming
11:41
Junferno
Рет қаралды 772 М.
5 Math Skills Every Programmer Needs
9:08
Sahil & Sarra
Рет қаралды 1 МЛН
Or is Harriet Quinn good? #cosplay#joker #Harriet Quinn
00:20
佐助与鸣人
Рет қаралды 5 МЛН